cURL
curl --request POST \ --url https://api.peere.network/v1/bank/customers \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "customers": [ { "firstname": "<string>", "lastname": "<string>", "accountName": "<string>", "email": "<string>", "country": "<string>", "accountNumber": "<string>", "reference": "<string>", "clientRef": "<string>", "middlename": "<string>", "address": "<string>", "gender": "<string>", "phone": "<string>" } ] } '
{ "success": true, "message": "Batch processed, customers will reflect shortly", "statusCode": 201, "data": { "batchId": "<string>", "status": "<string>", "summary": { "total": 123, "successful": 123, "failed": 123, "duplicates": 123, "invalidData": 123 }, "data": { "createdCount": 123, "customerIds": [ "<string>" ] } } }
Batch endpoint for banks to migrate/create customers.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Show child attributes
Customers created successfully
true
"Batch processed, customers will reflect shortly"
201